#import "TextureAddPatch.h"

@implementation TextureAddPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];
	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Module *ta=[[inputTextureA textureValue] texture];
	module::Module *tb=[[inputTextureB textureValue] texture];

	if(ta && tb)
	{
		module::Add *add=new module::Add;
		add->SetSourceModule(0,*ta);
		add->SetSourceModule(1,*tb);

		KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:add];
		[outputTexture setTextureValue:t];
		[t release];
	}
	else
		[outputTexture setTextureValue:nil];

	return YES;
}
@end
