#import "TextureConstPatch.h"

@implementation TextureConstPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];

	[inputValue setDoubleValue:0.0];

	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Const *tconst=new module::Const;
	tconst->SetConstValue([inputValue doubleValue]);

	KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:tconst];
	[outputTexture setTextureValue:t];
	[t release];

	return YES;
}
@end
