#import <Quartz/Quartz.h>
#import <OpenGL/CGLMacro.h>
#import "QCOpenGLContext.h"
#import "QCGLCGImage.h"
#import "noise.h"
#import "noiseutils.h"

@interface KinemeTextureRenderer: NSObject
{
	void				*_scratchBufferPtr;
	void				*_scratchBufferPtrFlip;
	unsigned int		_scratchBufferRowBytes;
	
	unsigned int		_width, _height;
	CGColorSpaceRef		_colorspace;
}

- (id)initWithPixelsWide:(unsigned)width pixelsHigh:(unsigned)height;
-(QCGLCGImage*) QCGLCGImageWithModule:(module::Module *)module type:(int)type;
@end