#import "TextureExponentPatch.h"

@implementation TextureExponentPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];

	[inputExponent setDoubleValue:1.0];

	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Module *ta=[[inputTexture textureValue] texture];

	if(ta)
	{
		module::Exponent *exponent=new module::Exponent;
		exponent->SetSourceModule(0,*ta);
		exponent->SetExponent([inputExponent doubleValue]);

		KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:exponent];
		[outputTexture setTextureValue:t];
		[t release];
	}
	else
		[outputTexture setTextureValue:nil];

	return YES;
}
@end
