#import "TexturePowerPatch.h"

@implementation TexturePowerPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];
	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Module *ta=[[inputTextureA textureValue] texture];
	module::Module *tb=[[inputTextureB textureValue] texture];

	if(ta && tb)
	{
		module::Power *power=new module::Power;
		power->SetSourceModule(0,*ta);
		power->SetSourceModule(1,*tb);

		KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:power];
		[outputTexture setTextureValue:t];
		[t release];
	}
	else
		[outputTexture setTextureValue:nil];

	return YES;
}
@end
